Bug 965459 - pmount package should be built with PIE flags
pmount package should be built with PIE flags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pmount (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Shaw
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 05:35 EDT by Dhiru Kholia
Modified: 2014-03-24 23:44 EDT (History)
7 users (show)

See Also:
Fixed In Version: pmount-0.9.23-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 22:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2013-05-21 05:35:32 EDT
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package has suid binaries...".

However, currently pmount is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

pmount-0.9.23-3.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py pmount-0.9.23-3.fc19.x86_64.rpm
pmount,pmount-0.9.23-3.fc19.x86_64.rpm,/usr/bin/pmount,mode=0104755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
pmount,pmount-0.9.23-3.fc19.x86_64.rpm,/usr/bin/pumount,mode=0104755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
Comment 1 Fedora Update System 2013-05-21 13:35:41 EDT
pmount-0.9.23-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pmount-0.9.23-4.fc18
Comment 2 Fedora Update System 2013-05-21 13:35:54 EDT
pmount-0.9.23-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pmount-0.9.23-4.fc19
Comment 3 Fedora Update System 2013-05-21 13:36:05 EDT
pmount-0.9.23-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pmount-0.9.23-4.fc17
Comment 4 Fedora Update System 2013-05-21 21:24:08 EDT
Package pmount-0.9.23-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pmount-0.9.23-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8789/pmount-0.9.23-4.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-29 22:54:36 EDT
pmount-0.9.23-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-05-29 22:58:00 EDT
pmount-0.9.23-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-05 22:23:08 EDT
pmount-0.9.23-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.